## org.apache.mahout.cf.taste.hadoop.als
Class SolveImplicitFeedbackMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<K1,V1,K2,V2>
          org.apache.mahout.cf.taste.hadoop.als.SharingMapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable,ImplicitFeedbackAlternatingLeastSquaresSolver>
              org.apache.mahout.cf.taste.hadoop.als.SolveImplicitFeedbackMapper

    public class SolveImplicitFeedbackMapper

extends SharingMapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable,ImplicitFeedbackAlternatingLeastSquaresSolver>

Solving mapper that can be safely executed using multiple threads

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`SolveImplicitFeedbackMapper()`

Method Summary
`protected void` `map(org.apache.hadoop.io.IntWritable userOrItemID, VectorWritable ratingsWritable, org.apache.hadoop.mapreduce.Mapper.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolveImplicitFeedbackMapper

    public SolveImplicitFeedbackMapper()

Method Detail

### map

    protected void map(org.apache.hadoop.io.IntWritable userOrItemID,
                       VectorWritable ratingsWritable,
                       org.apache.hadoop.mapreduce.Mapper.Context ctx)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.